[
  {
    "chunk_id": 24,
    "chunk_type": "group",
    "human_description": "This is group 'ChartGroup' definition for report 'LineChartReport'. Group expression: ($V{FirstLetterCount} - 1) / 3. Has groupHeader: Yes, has groupFooter: Yes. Min height: 200, start new column: true, reprint header: false.",
    "raw_xml": "<group name=\"ChartGroup\" minHeightToStartNewPage=\"200\" startNewColumn=\"true\">\n\t\t<expression>($V{FirstLetterCount} - 1) / 3</expression>\n\t\t<groupHeader>\n\t\t\t<band height=\"250\">\n\t\t\t\t<element kind=\"rectangle\" uuid=\"1c6dde02-8775-4b2b-b560-1f3fa880d747\" x=\"0\" y=\"14\" width=\"270\" height=\"11\" forecolor=\"#FFDDDD\" backcolor=\"#FFDDDD\" />\n\t\t\t\t<element kind=\"staticText\" uuid=\"f12543d0-3b76-4ff0-a213-b0ee05d545f9\" mode=\"Opaque\" x=\"0\" y=\"14\" width=\"130\" height=\"11\" forecolor=\"#FF0000\" backcolor=\"#FFDDDD\" underline=\"true\" style=\"Sans_Italic\">\n\t\t\t\t\t<text>Countries Starting With Letter :</text>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"86d6a2c1-2fd0-49fa-80fd-2385ffea413d\" mode=\"Opaque\" x=\"130\" y=\"14\" width=\"20\" height=\"11\" forecolor=\"#FF0000\" backcolor=\"#FFDDDD\" evaluationTime=\"Group\" evaluationGroup=\"ChartGroup\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$V{FirstLetterMin}</expression>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"staticText\" uuid=\"085e8b3f-ad6d-480e-8172-1a7fc13d6732\" mode=\"Opaque\" x=\"150\" y=\"14\" width=\"20\" height=\"11\" forecolor=\"#FF0000\" backcolor=\"#FFDDDD\" underline=\"true\" hTextAlign=\"Center\" style=\"Sans_Italic\">\n\t\t\t\t\t<text>to</text>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"424a734f-c46c-4f10-8aa5-1682c5063e43\" mode=\"Opaque\" x=\"170\" y=\"14\" width=\"20\" height=\"11\" forecolor=\"#FF0000\" backcolor=\"#FFDDDD\" evaluationTime=\"Group\" evaluationGroup=\"ChartGroup\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$V{FirstLetterMax}</expression>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"chart\" chartType=\"line\" uuid=\"ade339d6-ffae-4d47-8882-76cd4ec4e482\" positionType=\"Float\" x=\"0\" y=\"50\" width=\"270\" height=\"175\" evaluationTime=\"Group\" evaluationGroup=\"ChartGroup\">\n\t\t\t\t\t<dataset kind=\"category\" incrementType=\"Group\" resetGroup=\"ChartGroup\" incrementGroup=\"CountryGroup\" resetType=\"Group\">\n\t\t\t\t\t\t<series>\n\t\t\t\t\t\t\t<seriesExpression>\"Double Freight\"</seriesExpression>\n\t\t\t\t\t\t\t<categoryExpression>$F{ShipCountry}</categoryExpression>\n\t\t\t\t\t\t\t<valueExpression>$V{FreightSumCountryGroup} * 2d</valueExpression>\n\t\t\t\t\t\t\t<labelExpression />\n\t\t\t\t\t\t</series>\n\t\t\t\t\t\t<series>\n\t\t\t\t\t\t\t<seriesExpression>\"Normal Freight\"</seriesExpression>\n\t\t\t\t\t\t\t<categoryExpression>$F{ShipCountry}</categoryExpression>\n\t\t\t\t\t\t\t<valueExpression>$V{FreightSumCountryGroup}</valueExpression>\n\t\t\t\t\t\t\t<labelExpression />\n\t\t\t\t\t\t</series>\n\t\t\t\t\t\t<series>\n\t\t\t\t\t\t\t<seriesExpression>\"Half Freight\"</seriesExpression>\n\t\t\t\t\t\t\t<categoryExpression>$F{ShipCountry}</categoryExpression>\n\t\t\t\t\t\t\t<valueExpression>$V{FreightSumCountryGroup} / 2d</valueExpression>\n\t\t\t\t\t\t\t<labelExpression />\n\t\t\t\t\t\t</series>\n\t\t\t\t\t\t<series>\n\t\t\t\t\t\t\t<seriesExpression>\"Double Freight\"</seriesExpression>\n\t\t\t\t\t\t\t<categoryExpression>$F{ShipCountry}</categoryExpression>\n\t\t\t\t\t\t\t<valueExpression>$V{FreightSumCountryGroup} * 2d</valueExpression>\n\t\t\t\t\t\t\t<labelExpression />\n\t\t\t\t\t\t</series>\n\t\t\t\t\t</dataset>\n\t\t\t\t\t<plot showShapes=\"false\" showLines=\"true\">\n\t\t\t\t\t\t<seriesColor order=\"0\" color=\"#FF00FF\" />\n\t\t\t\t\t\t<seriesColor order=\"1\" color=\"#FFFF00\" />\n\t\t\t\t\t\t<seriesColor order=\"2\" color=\"#00FFFF\" />\n\t\t\t\t\t</plot>\n\t\t\t\t</element>\n\t\t\t</band>\n\t\t</groupHeader>\n\t\t<groupFooter>\n\t\t\t<band height=\"25\">\n\t\t\t\t<element kind=\"line\" uuid=\"9591ebbf-5ea3-4fc4-b6c1-a3089e34f5f8\" x=\"0\" y=\"0\" width=\"270\" height=\"1\" forecolor=\"#FF0000\" />\n\t\t\t\t<element kind=\"staticText\" uuid=\"d35b231b-c463-4f53-bfab-cd59303d0e58\" x=\"0\" y=\"1\" width=\"45\" height=\"11\" forecolor=\"#FF0000\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<text>Count :</text>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"ee4fa3b5-9f10-4bc0-a92b-658f49a4f55a\" x=\"45\" y=\"1\" width=\"25\" height=\"11\" forecolor=\"#FF0000\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$V{ChartGroup_COUNT}</expression>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"staticText\" uuid=\"fed8861b-2200-4afe-9cbf-57ca37577ad6\" x=\"70\" y=\"1\" width=\"140\" height=\"11\" forecolor=\"#FF0000\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<text>Total :</text>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"280e8b13-3c5b-4bbc-9365-273351b530c2\" x=\"210\" y=\"1\" width=\"60\" height=\"11\" forecolor=\"#FF0000\" pattern=\"0.00\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$V{FreightSumChartGroup}</expression>\n\t\t\t\t</element>\n\t\t\t</band>\n\t\t</groupFooter>\n\t</group>\n\t",
    "context": "Report 'LineChartReport' group 'ChartGroup'",
    "metadata": {
      "group_name": "ChartGroup",
      "expression": "($V{FirstLetterCount} - 1) / 3",
      "has_header": true,
      "has_footer": true,
      "minHeightToStartNewPage": "200",
      "startNewColumn": "true",
      "reprintHeaderOnEachPage": "false"
    }
  },
  {
    "chunk_id": 24,
    "chunk_type": "group",
    "human_description": "This is group 'ChartGroup' definition for report 'LineChartReport'. Group expression: ($V{FirstLetterCount} - 1) / 3. Has groupHeader: Yes, has groupFooter: Yes. Min height: 200, start new column: true, reprint header: false.",
    "raw_xml": "<group name=\"ChartGroup\" minHeightToStartNewPage=\"200\" startNewColumn=\"true\">\n\t\t<expression>($V{FirstLetterCount} - 1) / 3</expression>\n\t\t<groupHeader>\n\t\t\t<band height=\"250\">\n\t\t\t\t<element kind=\"rectangle\" uuid=\"1c6dde02-8775-4b2b-b560-1f3fa880d747\" x=\"0\" y=\"14\" width=\"270\" height=\"11\" forecolor=\"#FFDDDD\" backcolor=\"#FFDDDD\" />\n\t\t\t\t<element kind=\"staticText\" uuid=\"f12543d0-3b76-4ff0-a213-b0ee05d545f9\" mode=\"Opaque\" x=\"0\" y=\"14\" width=\"130\" height=\"11\" forecolor=\"#FF0000\" backcolor=\"#FFDDDD\" underline=\"true\" style=\"Sans_Italic\">\n\t\t\t\t\t<text>Countries Starting With Letter :</text>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"86d6a2c1-2fd0-49fa-80fd-2385ffea413d\" mode=\"Opaque\" x=\"130\" y=\"14\" width=\"20\" height=\"11\" forecolor=\"#FF0000\" backcolor=\"#FFDDDD\" evaluationTime=\"Group\" evaluationGroup=\"ChartGroup\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$V{FirstLetterMin}</expression>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"staticText\" uuid=\"085e8b3f-ad6d-480e-8172-1a7fc13d6732\" mode=\"Opaque\" x=\"150\" y=\"14\" width=\"20\" height=\"11\" forecolor=\"#FF0000\" backcolor=\"#FFDDDD\" underline=\"true\" hTextAlign=\"Center\" style=\"Sans_Italic\">\n\t\t\t\t\t<text>to</text>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"424a734f-c46c-4f10-8aa5-1682c5063e43\" mode=\"Opaque\" x=\"170\" y=\"14\" width=\"20\" height=\"11\" forecolor=\"#FF0000\" backcolor=\"#FFDDDD\" evaluationTime=\"Group\" evaluationGroup=\"ChartGroup\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$V{FirstLetterMax}</expression>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"chart\" chartType=\"line\" uuid=\"ade339d6-ffae-4d47-8882-76cd4ec4e482\" positionType=\"Float\" x=\"0\" y=\"50\" width=\"270\" height=\"175\" evaluationTime=\"Group\" evaluationGroup=\"ChartGroup\">\n\t\t\t\t\t<dataset kind=\"category\" incrementType=\"Group\" resetGroup=\"ChartGroup\" incrementGroup=\"CountryGroup\" resetType=\"Group\">\n\t\t\t\t\t\t<series>\n\t\t\t\t\t\t\t<seriesExpression>\"Double Freight\"</seriesExpression>\n\t\t\t\t\t\t\t<categoryExpression>$F{ShipCountry}</categoryExpression>\n\t\t\t\t\t\t\t<valueExpression>$V{FreightSumCountryGroup} * 2d</valueExpression>\n\t\t\t\t\t\t\t<labelExpression />\n\t\t\t\t\t\t</series>\n\t\t\t\t\t\t<series>\n\t\t\t\t\t\t\t<seriesExpression>\"Normal Freight\"</seriesExpression>\n\t\t\t\t\t\t\t<categoryExpression>$F{ShipCountry}</categoryExpression>\n\t\t\t\t\t\t\t<valueExpression>$V{FreightSumCountryGroup}</valueExpression>\n\t\t\t\t\t\t\t<labelExpression />\n\t\t\t\t\t\t</series>\n\t\t\t\t\t\t<series>\n\t\t\t\t\t\t\t<seriesExpression>\"Half Freight\"</seriesExpression>\n\t\t\t\t\t\t\t<categoryExpression>$F{ShipCountry}</categoryExpression>\n\t\t\t\t\t\t\t<valueExpression>$V{FreightSumCountryGroup} / 2d</valueExpression>\n\t\t\t\t\t\t\t<labelExpression />\n\t\t\t\t\t\t</series>\n\t\t\t\t\t\t<series>\n\t\t\t\t\t\t\t<seriesExpression>\"Double Freight\"</seriesExpression>\n\t\t\t\t\t\t\t<categoryExpression>$F{ShipCountry}</categoryExpression>\n\t\t\t\t\t\t\t<valueExpression>$V{FreightSumCountryGroup} * 2d</valueExpression>\n\t\t\t\t\t\t\t<labelExpression />\n\t\t\t\t\t\t</series>\n\t\t\t\t\t</dataset>\n\t\t\t\t\t<plot showShapes=\"false\" showLines=\"true\">\n\t\t\t\t\t\t<seriesColor order=\"0\" color=\"#FF00FF\" />\n\t\t\t\t\t\t<seriesColor order=\"1\" color=\"#FFFF00\" />\n\t\t\t\t\t\t<seriesColor order=\"2\" color=\"#00FFFF\" />\n\t\t\t\t\t</plot>\n\t\t\t\t</element>\n\t\t\t</band>\n\t\t</groupHeader>\n\t\t<groupFooter>\n\t\t\t<band height=\"25\">\n\t\t\t\t<element kind=\"line\" uuid=\"9591ebbf-5ea3-4fc4-b6c1-a3089e34f5f8\" x=\"0\" y=\"0\" width=\"270\" height=\"1\" forecolor=\"#FF0000\" />\n\t\t\t\t<element kind=\"staticText\" uuid=\"d35b231b-c463-4f53-bfab-cd59303d0e58\" x=\"0\" y=\"1\" width=\"45\" height=\"11\" forecolor=\"#FF0000\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<text>Count :</text>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"ee4fa3b5-9f10-4bc0-a92b-658f49a4f55a\" x=\"45\" y=\"1\" width=\"25\" height=\"11\" forecolor=\"#FF0000\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$V{ChartGroup_COUNT}</expression>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"staticText\" uuid=\"fed8861b-2200-4afe-9cbf-57ca37577ad6\" x=\"70\" y=\"1\" width=\"140\" height=\"11\" forecolor=\"#FF0000\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<text>Total :</text>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"280e8b13-3c5b-4bbc-9365-273351b530c2\" x=\"210\" y=\"1\" width=\"60\" height=\"11\" forecolor=\"#FF0000\" pattern=\"0.00\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$V{FreightSumChartGroup}</expression>\n\t\t\t\t</element>\n\t\t\t</band>\n\t\t</groupFooter>\n\t</group>\n\t",
    "context": "Report 'LineChartReport' group 'ChartGroup'",
    "metadata": {
      "group_name": "ChartGroup",
      "expression": "($V{FirstLetterCount} - 1) / 3",
      "has_header": true,
      "has_footer": true,
      "minHeightToStartNewPage": "200",
      "startNewColumn": "true",
      "reprintHeaderOnEachPage": "false"
    }
  }
]